const app = getApp();
var util = require("../../utils/util.js");
var common = require("../../utils/common.js");
var self;

Page({
    data: {
        address: "",
        latitude: "",
        longitude: ""
    },
    onLoad: function(options) {
        self = this;
        console.log("onLoad");
        self.getAccident();
    },
    getAccident: function(e) {
        wx.showLoading({
            title: "加载中"
        });
        util.httpPost("/entry/drivers/m-action/getAccident", {
            aux: {
                cateId: self.data.currentCateId
            }
        }, function(result) {
            if (result.messageType == "success" && result.code == "200") {
              wx.hideLoading();
              self.setData({
                header: result.data.header,
                items: result.data.items
              })
            }else if ("301" == o.code){
              wx.showToast({
                title: "暂无数据",
                icon: "success",
                mask: true,
                image: "../../images/error.png",
                success: function() {
                  setTimeout(function() {
                      wx.navigateBack(1);
                  }, 1000);
                }
              })
            };
        });
    },
    formSubmit: function(e) {
        var s = self.data.header.id;
        console.log("e========");
        console.log(e);
        wx.showToast({
            title: "加载中",
            icon: "loading",
            mask: true,
            duration: 10000
        });
        console.log("id========");
        console.log(s);
        o.httpPost("/entry/drivers/m-action/", {
            aux: {
                id: s
            }
        }, function(result) {
          if (result.messageType == "success") {
              console.log("=========result.code========")
              console.log(result.code);
            if (result.code == "200") {
              wx.showToast({
                  title: result.message,
                  icon: "success",
                  mask: true,
                  image: "../../images/success.png",
                  success: function() {
                      setTimeout(function() {
                          wx.navigateBack(1);
                      }, 1000);
                  }
              })
            }else if (result.code == "300" ) {
              wx.showToast({
                  title: result.message,
                  icon: "none",
                  mask: true,
                  duration: 2000
              })
            }else if (result.code == "500") {
              wx.showToast({
                  title: result.message,
                  icon: "none",
                  mask: true,
                  duration: 2000
              })
            }
          }
        })
    }
})
