const app = getApp();
var util = require("../../utils/util.js");
var common = require("../../utils/common.js");
var self;
//获取全局APP对象
Page({
  /**
   * 页面的初始数据
  **/
  data: {
      title: "欢迎进入天合光能物流系统!",
      disabled: false,
      password: "",
      tel: "",
      passinput: false,
      telinput: false
  },

  /**
   * 页面创建时执行--监听页面加载
  **/
  onLoad: function(options) {
      console.log("app", app)
      console.log("entry1")
      this.entry();
  },
    entry: function(e) {
        console.log("进入entry")
        wx.login({
            success: function(res) {
              if (res.code) {
                console.log("login-res")
                console.log(res)
                console.log("host")
                console.log(app.globalData.host)
                //auth接口，看是否需要重新登录
                wx.request({
                  url: app.globalData.host + "/wx-entry/carrier?weixin_config_key=default",
                  data: {
                    code: res.code
                  },
                  header: {
                    'content-type': 'application/json' // 默认值
                  },
                  success: function (res) {
                    if (res.statusCode == 200) {
                      console.log('miniApp-res')
                      console.log(res.header)
                      console.log(res.data)
                      console.log(res.data.data)
                      console.log('res.data.auth_result')
                      console.log(res.data.data.auth_result)
                      if (res.data.data.auth_result == "success") {
                        console.log('success!')
                        wx.setStorageSync('data', res.data.data);
                        console.log('res.data.data',res.data.data);
                        //设置token和XSRFToken放入缓存
                        let arrCookie = res.header['Set-Cookie'].split(';')
                        let XSRFToken = ''
                        for (let index = 0; index < arrCookie.length; index++) {
                          let arr = arrCookie[index].split('=')
                          if (arr[0] === 'XSRF-TOKEN') {
                            XSRFToken = arr[1]
                          }
                        }
                        console.log("XSRFToken",XSRFToken)
                        wx.setStorageSync("token", res.data.renewedToken);
                        wx.setStorageSync("XSRFToken", XSRFToken);
                        wx.switchTab({
                          url: "../../pages/menu/menu",
                          success: function (e) {
                            var page = getCurrentPages().pop()
                            if (page == undefined || page == null) return;
                            page.onLoad();
                          }
                        })
                      } else {
                        console.log('failed!');
                        wx.setStorageSync('data', res.data.data);
                        console.log('auth失败')
                      }
                    } else {
                      console.log('异常')
                    }
                  }
                })
              }
            }
        })
    },
    passinput: function(e) {
        this.setData({
            password: e.detail.value
        });
        this.setData({
            passinput: true
        });
        if (this.data.passinput == true && this.data.telinput == true){
          this.setData({
              disabled: false
          });
        }
    },
    telinput: function(e) {
        this.setData({
            tel: e.detail.value
        });
        this.setData({
            telinput: true
        });
        if (this.data.passinput == true && this.data.telinput == true){
          this.setData({
              disabled: false
          });
        }
    },
    formSubmit: function(e) {
        self = this;
        console.log(e);
        wx.login({
            success: function(res) {
              if (res.code) {
              console.log("formSubmit-res", res)
              wx.showToast({
                    title: "登录中",
                    icon: "loading",
                    duration: 10000
                })
                wx.request({
                    url: app.globalData.host + "/api/auth/wx-login/carrier/miniAppDriverLogin?weixin_config_key=default",
                    method: "POST",
                    data: {
                        code: res.code,
                        password: e.detail.value.password,
                        tel: e.detail.value.tel
                    },
                    header: {
                        openid: wx.getStorageSync("data").openid,
                        sign: wx.getStorageSync("data").sign,
                        "content-type": "application/json" // 默认值
                    },
                    success: function(res) {
                        console.log(res.data)
                        console.log(res.data.messageType)
                        console.log("res.data.data", res.data.data);
                        if (res.data.messageType == "success") {
                          wx.showToast({
                              title: "登录成功",
                              icon: "success",
                              image: "/images/success.png",
                              duration: 1000
                          });
                          wx.setStorageSync("token", res.data.data.token);
                          //再次执行entry
                          console.log("entry2");
                          self.entry();
                        }else if (res.data.messageType == "error") {
                          wx.showToast({
                              title: res.data.message,
                              icon: "success",
                              image: "/images/error.png",
                              duration: 1000
                          });
                        }else {
                          wx.showToast({
                              title: "司机信息错误",
                              icon: "success",
                              image: "/images/error.png",
                              duration: 1000
                          });
                        }
                    },
                    fail: function(res) {
                        wx.showToast({
                            title: "请求超时",
                            icon: "success",
                            image: "/images/error.png",
                            duration: 3000
                        });
                    }
                })
              }else {
                console.log("授权失败");
              }
            },
        })
    }
});
